--           This file is part of the SmallEiffel BeOS Library.
--                  Copyright (C) 1998 Lost Alternative
--                J. Scott Edwards - sedwards@xmission.com 
--
-- This is  free  software;  you can  redistribute it and/or modify it
-- under the terms of the GNU General Public License as published by the
-- Free Software Foundation;  either  version  2, or (at your option) any
-- later verson.  It is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
-- General Public License for  more  details.  You  should  have  received
-- a copy of the GNU General Public  License  along  with this software;
-- see the file COPYING.  If not, write to the  Free Software Foundation,
-- Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
--
-- The original source code for SmallEiffel can be found at
--             http://www.loria.fr/SmallEiffel
--
--
class DIGIT_BUTTON inherit
      BEOS_BUTTON
         rename
            make as make_beos_button
         redefine
            make, activated
         end

creation make

feature {NONE}
   make(window : BEOS_WINDOW; corner : BEOS_POINT;
                            size : BEOS_RECTANGLE_SIZE; digit : CHARACTER) is
      do
         !!label.make(1)
         label.append_character(digit)
         make_beos_button(window, corner, size)
      end;

   activated is
      local
         alert : BEOS_WARNING_ALERT
         which : STRING
      do
         !!alert.make_1_button(label, "OK");
         which := alert.display;
      end;

end -- DIGIT_BUTTON

