--           This file is part of the SmallEiffel BeOS Library.
--                  Copyright (C) 1998 Lost Alternative
--                J. Scott Edwards - sedwards@xmission.com 
--
-- This is  free  software;  you can  redistribute it and/or modify it
-- under the terms of the GNU General Public License as published by the
-- Free Software Foundation;  either  version  2, or (at your option) any
-- later verson.  It is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
-- General Public License for  more  details.  You  should  have  received
-- a copy of the GNU General Public  License  along  with this software;
-- see the file COPYING.  If not, write to the  Free Software Foundation,
-- Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
--
-- The original source code for SmallEiffel can be found at
--             http://www.loria.fr/SmallEiffel
--
--
class BEOS_INFO_ALERT inherit
      BEOS_ALERT
   --   
   -- Create an Info Alert
   --

creation
   make_1_button, make_2_button, make_3_button
   
feature { NONE }
   
   make_1_button(text, button : STRING) is
      do
	     make_1(Info, text, button);
      end;

   make_2_button(text, left_button, right_button : STRING) is
      do
	     make_2(Info, text, left_button, right_button);
      end;

   make_3_button(text, button : STRING) is
      do
	     make_3(Info, text, left_button, middle_button, right_button);
      end;

end -- BEOS_INFO_ALERT

