--           This file is part of the SmallEiffel BeOS Library.
--                  Copyright (C) 1998 Lost Alternative
--                J. Scott Edwards - sedwards@xmission.com 
--
-- This is  free  software;  you can  redistribute it and/or modify it
-- under the terms of the GNU General Public License as published by the
-- Free Software Foundation;  either  version  2, or (at your option) any
-- later verson.  It is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
-- General Public License for  more  details.  You  should  have  received
-- a copy of the GNU General Public  License  along  with this software;
-- see the file COPYING.  If not, write to the  Free Software Foundation,
-- Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
--
-- The original source code for SmallEiffel can be found at
--             http://www.loria.fr/SmallEiffel
--
--
class BEOS_RECTANGLE_SIZE inherit
   --   
   -- define the size of a rectangle
   --

creation make

feature  -- Access

    width, height : REAL

feature {NONE}

   make(initial_width, initial_height : REAL) is
      require
         initial_width  > 0.0
         initial_height > 0.0
      do
         width  := initial_width
         height := initial_height
      end;

invariant
   width > 0.0
   height > 0.0

end -- BEOS_RECTANGLE_SIZE

