--           This file is part of the SmallEiffel BeOS Library.
--                  Copyright (C) 1998 Lost Alternative
--                J. Scott Edwards - sedwards@xmission.com 
--
-- This is  free  software;  you can  redistribute it and/or modify it
-- under the terms of the GNU General Public License as published by the
-- Free Software Foundation;  either  version  2, or (at your option) any
-- later verson.  It is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
-- General Public License for  more  details.  You  should  have  received
-- a copy of the GNU General Public  License  along  with this software;
-- see the file COPYING.  If not, write to the  Free Software Foundation,
-- Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
--
-- The original source code for SmallEiffel can be found at
--             http://www.loria.fr/SmallEiffel
--
--
class BEOS_SHARED_OBJECTS
   --   
   -- Objects that are shared throughout the system
   --
feature  -- Access

   Application_name : STRING is   -- This should be redefined by each application
      do                                -- Note: technically this would have been
         Result := "SeblApplication"    --       a deferred feature, but if that
      end;                              --       is done then a warning occurs
                                        --       for each class that inherits from
                                        --       it, such as BEOS_WINDOW.

   This_app : BEOS_APPLICATION is
      once
         !!Result.make(Application_name);
      end;

end -- BEOS_SHARED_OBJECTS

